#include 'totvs.ch'
#include 'fwmvcdef.ch'
#include 'restful.ch'

User Function ZAPIMOT()
Return

WSRestFul MOTORISTAS Description "Servios Rest para Motoristas"
  WsData Codigo       As String
  WsData CPF          As String
  WsData Nascimento   As Date
  WsData Nome         As String
  WsData SobreNome    As String
  WsData Status       As Boolean
  WsData CNH          As String 
 
  WSMethod Get Description "Retorna o Motorista informado na URL" WSSYNTAX "/MOTORISTAS || /MOTORISTAS/{}"
  //WSMethod Get Description "Retorna o Motorista informado na URL" WSSYNTAX "/MOTORISTAS/CPF || /MOTORISTAS/CPF/{}"
  



End WSRestFul

WSMethod Get WsReceive Codigo WSService MOTORISTAS
  Local cKey      := Self:Codigo
  Local cCPF      := "" 
  Local ObjeTrnas := Nil
  Local cJson     := ""
  Local lRet      := .F.

  	::SetContentType("application/json")
    ObjeTrnas:= Motorista():New(cKey,cCPF)
    cJson:= FWJsonSerialize(ObjeTrnas)
    ::SetResponse(cJson)
    lRet:= Iif(Empty(ObjeTrnas),.F.,.T.)
Return lRet
