#include 'totvs.ch'


Class Motorista 
  Data Codigo       As String
  Data CPF          As String
  Data Nascimento   As Date
  Data Nome         As String
  Data SobreNome    As String
  Data Status       As Boolean
  Data CNH          As String

  Method New (cpf) Constructor
  Method GetNome(cpf,codigo) 
  Method GetCpf(codigo)
  Method GetStatus(cpf,codigo)
  Method GetCNH(cpf,codigo)
  Method SetNome()
  Method SetNascimento()
  Method SetCodigo()
  Method SetCPF()
  Method GetObjDados()
EndClass

Method New(cpf,codigo) Class Motorista 
  Self:GetObjDados(cpf,codigo)
Return Self

Method GetObjDados(cpf,codigo) Class Motorista
  If Empty(cpf) 
    dbSelectArea('DA4')
    DA4->(dbSetOrder(1)) //DA4_FILIAL+DA4_COD
    DA4->(dbGoTop())
    DA4->(dbSeek(FwxFilial('DA4')+codigo))
    If Found()
        Self:Codigo:= DA4_COD
        Self:CPF   := DA4_CGC
        Self:Nome  := DA4_NOME
    Else
      Self:Codigo := Nil
    EndIf
  ElseIf !Empty(cpf)
    dbSelectArea('DA4')
    DA4->(dbSetOrder(3)) //DA4_FILIAL+DA4_CGC
    DA4->(dbGoTop())
    DA4->(dbSeek(FwxFilial('DA4')+codigo))
    If Found()
        Self:Codigo:= DA4_COD
        Self:CPF   := DA4_CGC
        Self:Nome  := DA4_NOME
    Else
      Self:Codigo := Nil
    EndIf
  EndIf

Return Self
